GoSmarter Logo
GoSmarter API Gateway

OptimisationFilterProfiles


List saved optimisation filter profiles

GET
https://api.gosmarter.ai
/api/company/{companyId}/optimisation/filter-profiles

List saved optimisation filter profiles › path Parameters

companyId
​string · uuid · required

List saved optimisation filter profiles › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

List saved optimisation filter profiles › Responses

Payload of Array of OptimisationFilterProfileDto

profileId
​string · uuid
companyId
​string · uuid
name
​string
​priorityWeights
​optimisationSettings
createdBy
​string · uuid
lastModifiedBy
​string · uuid
createdAt
​string · date-time
updatedAt
​string · date-time

Save a new optimisation filter profile

POST
https://api.gosmarter.ai
/api/company/{companyId}/optimisation/filter-profiles

Save a new optimisation filter profile › path Parameters

companyId
​string · uuid · required

Save a new optimisation filter profile › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Save a new optimisation filter profile › Request Body

Save a new optimisation filter profile › Responses

Payload of OptimisationFilterProfileDto

profileId
​string · uuid
companyId
​string · uuid
name
​string
​priorityWeights
​optimisationSettings
createdBy
​string · uuid
lastModifiedBy
​string · uuid
createdAt
​string · date-time
updatedAt
​string · date-time

Update a saved optimisation filter profile

PUT
https://api.gosmarter.ai
/api/company/{companyId}/optimisation/filter-profiles/{profileId}

Update a saved optimisation filter profile › path Parameters

companyId
​string · uuid · required
profileId
​string · uuid · required

Update a saved optimisation filter profile › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Update a saved optimisation filter profile › Request Body

Update a saved optimisation filter profile › Responses

Payload of OptimisationFilterProfileDto

profileId
​string · uuid
companyId
​string · uuid
name
​string
​priorityWeights
​optimisationSettings
createdBy
​string · uuid
lastModifiedBy
​string · uuid
createdAt
​string · date-time
updatedAt
​string · date-time

Soft-delete a saved optimisation filter profile

DELETE
https://api.gosmarter.ai
/api/company/{companyId}/optimisation/filter-profiles/{profileId}

Soft-delete a saved optimisation filter profile › path Parameters

companyId
​string · uuid · required
profileId
​string · uuid · required

Soft-delete a saved optimisation filter profile › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Soft-delete a saved optimisation filter profile › Responses

No description

No data returned